Subject: Re: [PATCH net-next 06/14] ice: Extend PTYPE bitmap coverage for GTP encapsulated flows

From: Simon Horman <[email-masked]>
Date: Thu, 16 Oct 2025 20:03:07 +0100

On Thu, Oct 16, 2025 at 10:20:25AM -0700, Jacob Keller wrote:
> 
> 
> On 10/16/2025 5:21 AM, Simon Horman wrote:
> > On Wed, Oct 15, 2025 at 12:32:02PM -0700, Jacob Keller wrote:
> >> From: Przemek Kitszel <[email-masked]>
> >>
> >> Consolidate updates to the Protocol Type (PTYPE) bitmap definitions
> >> across multiple flow types in the Intel ICE driver to support GTP
> >> (GPRS Tunneling Protocol) encapsulated traffic.
> >>
> >> Enable improved Receive Side Scaling (RSS) configuration for both user
> >> and control plane GTP flows.
> >>
> >> Cover a wide range of protocol and encapsulation scenarios, including:
> >>  - MAC OFOS and IL
> >>  - IPv4 and IPv6 (OFOS, IL, ALL, no-L4)
> >>  - TCP, SCTP, ICMP
> >>  - GRE OF
> >>  - GTPC (control plane)
> >>
> >> Expand the PTYPE bitmap entries to improve classification and
> >> distribution of GTP traffic across multiple queues, enhancing
> >> performance and scalability in mobile network environments.
> >>
> >> --
> > 
> > Hi Jacob,
> > 
> > Perhaps surprisingly, git truncates the commit message at
> > the ('--') line above. So, importantly, the tags below are absent.
> > 
> 
> Its somewhat surprising, since I thought you had to use '---' for that.
> Regardless, this shouldn't be in the commit message at all.
> > Also, the two lines below seem out of place.
> > 
> >>  ice_flow.c |   54 +++++++++++++++++++++++++++---------------------------
> >>  1 file changed, 26 insertions(+), 26 deletions(-)
> >>
> 
> Yep these shouldn't have been here at all. I checked, and for some
> reason it was included in the original message id of the patch. b4
> happily picked it up when using b4 shazam.
> 
> See:
> https://lore.kernel.org/intel-wired-lan/[email-masked]/
> 
> I am not sure if this is the fault of b4, though it has different
> behavior than other git tooling here.

TBH, I am also surprised that git truncates at '--'. I also thought
'---'. And as this is the second time it's come up recently,
while I don't recall seeing it before, perhaps due to some tooling change
somewhere: e.g. interaction between git and b4.

> I fixed this on my end, and can resubmit after the 24hr period if needed.

FWIIW, I'd lean towards reposting after 24h if you don't hear from one of
the maintainers.